# Repzo API - Workorder Request

OpenAPI specification for Repzo Workorder Request endpoints.

**Version:** 1.0.0

## Overview

### Base URLs

- \*\*\*\*: `https://sv.api.repzo.me`

## Authentication

No authentication required.

## Endpoints

### `/workorder-request`

#### GET /workorder-request

**Summary:** Find workorder requests

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `params` | query | object | No | Query parameters for filtering workorder requests |

##### Responses

**200** - A list of workorder requests

Content-Type: `application/json`

---

#### POST /workorder-request

**Summary:** Create a workorder request

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**201** - Workorder request created

Content-Type: `application/json`

---

### `/workorder-request/{id}`

#### GET /workorder-request/{id}

**Summary:** Get a workorder request by ID

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Workorder request details

Content-Type: `application/json`

---

#### PUT /workorder-request/{id}

**Summary:** Update a workorder request

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**200** - Workorder request updated

Content-Type: `application/json`

---

#### DELETE /workorder-request/{id}

**Summary:** Remove a workorder request

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Workorder request removed

Content-Type: `application/json`

---

## Data Models

### WorkorderRequestFindResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | array | No | No description |

| `meta` | object | No | No description |

### WorkorderRequestCreateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `title` | string | No | No description |

| `description` | string | No | No description |

| `priority` | string | No | No description |

| `requestedBy` | string | No | No description |

| `client` | string | No | No description |

| `asset` | string | No | No description |

| `category` | string | No | No description |

### WorkorderRequestCreateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### WorkorderRequestGetResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### WorkorderRequestUpdateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `title` | string | No | No description |

| `description` | string | No | No description |

| `priority` | string | No | No description |

| `requestedBy` | string | No | No description |

| `client` | string | No | No description |

| `asset` | string | No | No description |

| `category` | string | No | No description |

| `status` | string | No | No description |

### WorkorderRequestUpdateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### WorkorderRequestRemoveResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `success` | boolean | No | No description |

### WorkorderRequest

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `_id` | string | No | No description |

| `title` | string | No | No description |

| `description` | string | No | No description |

| `priority` | string | No | No description |

| `requestedBy` | string | No | No description |

| `client` | string | No | No description |

| `asset` | string | No | No description |

| `category` | string | No | No description |

| `status` | string | No | No description |

| `createdAt` | string | No | No description |

| `updatedAt` | string | No | No description |

## TypeScript Usage

See [workorder-request-examples.md](./workorder-request-examples.md) for detailed TypeScript usage examples.
